System.register(["@angular/core", "@angular/http"], function (exports_1, context_1) {
    "use strict";
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var __moduleName = context_1 && context_1.id;
    var core_1, http_1, TaskModalComponent;
    return {
        setters: [
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (http_1_1) {
                http_1 = http_1_1;
            }
        ],
        execute: function () {
            TaskModalComponent = (function () {
                function TaskModalComponent(http) {
                    this.http = http;
                    this.taskChange = new core_1.EventEmitter();
                    this.toolsList = [
                        "view",
                        "style",
                        "alignment",
                        "lists",
                        "indenting",
                        "clear",
                        "doAction",
                        "scripts",
                        "font",
                        "copyPaste",
                        "links",
                        "images",
                        "tables",
                        "casing"
                    ];
                    this.tools = {
                        formatStyle: [],
                        edit: ["findAndReplace"],
                        font: ["fontName", "fontSize", "fontColor", "backgroundColor"],
                        style: ["bold", "italic", "underline", "strikethrough"],
                        alignment: ["justifyLeft", "justifyCenter", "justifyRight", "justifyFull"],
                        lists: ["unorderedList", "orderedList"],
                        clipboard: ["cut", "copy", "paste"],
                        doAction: ["undo", "redo"],
                        indenting: ["outdent", "indent"],
                        clear: ["clearFormat", "clearAll"],
                        links: ["createLink", "removeLink"],
                        images: ["image"],
                        tables: ["createTable", "addRowAbove", "addRowBelow", "addColumnLeft", "addColumnRight", "deleteRow", "deleteColumn", "deleteTable"],
                        //effects: ["superscript", "subscript"],
                        media: [],
                        casing: ["upperCase", "lowerCase"],
                        view: ["fullScreen"],
                    };
                }
                Object.defineProperty(TaskModalComponent.prototype, "task", {
                    get: function () {
                        return this.newTask;
                    },
                    set: function (val) {
                        if (val.remarks == null)
                            val.remarks = "";
                        this.newTask = val;
                        console.log("new task v modalnem oknu");
                        this.taskChange.emit(this.newTask);
                    },
                    enumerable: true,
                    configurable: true
                });
                TaskModalComponent.prototype.ngAfterViewInit = function () {
                    var that = this;
                    $(document).ready(function () {
                        $('#taskModal').on('shown.bs.modal', function () {
                            console.log("Sedaj bi se lotil posodabljanja");
                        });
                        $('#taskModal').on('hidden.bs.modal', function () {
                            console.log("Zapiram modalno okno ");
                        });
                        console.log("izvajam jquery");
                    });
                };
                TaskModalComponent.prototype.ngOnInit = function () {
                };
                TaskModalComponent.prototype.open = function () {
                    var _this = this;
                    this.newTask = { remarks: "<p></p>To je test<br><p></p><p><ul><li>asf safsa fsadfads</li><li>a sdfasdfdsaf a</li><li>&nbsp;sdf dsf asdf as</li></ul></p>" };
                    this.http.get('https://api.ipify.org/?format=json').subscribe(function (data) {
                        var val = { remarks: "<p></p>To je test<br><p></p><p><ul><li>asf safsa fsadfads</li><li>a sdfasdfdsaf a</li><li>&nbsp;sdf dsf asdf as</li></ul></p>" };
                        for (var property in val) {
                            if (val.hasOwnProperty(property)) {
                                _this.newTask[property] = val[property];
                                console.log(property);
                            }
                        }
                    });
                };
                __decorate([
                    core_1.Output(),
                    __metadata("design:type", Object)
                ], TaskModalComponent.prototype, "taskChange", void 0);
                __decorate([
                    core_1.Input(),
                    __metadata("design:type", Object),
                    __metadata("design:paramtypes", [Object])
                ], TaskModalComponent.prototype, "task", null);
                TaskModalComponent = __decorate([
                    core_1.Component({
                        selector: 'task-modal',
                        templateUrl: 'src/grid/task-modal/task-modal.component.html'
                    }),
                    __metadata("design:paramtypes", [http_1.Http])
                ], TaskModalComponent);
                return TaskModalComponent;
            }());
            exports_1("TaskModalComponent", TaskModalComponent);
        }
    };
});
//# sourceMappingURL=task-modal.component.js.map